package com.qmth.distributed.print.business.enums;

/**
 * @Description: 考试对象类型
 * @Author: CaoZixuan
 * @Date: 2022-08-18
 */
public enum ExamObjectType {
    TEACH_CLAZZ_STUDENT("教学班的学生", StudentClazzEnum.TEACH_CLAZZ),
    BASIC_CLAZZ_STUDENT("行政班的学生", StudentClazzEnum.BASIC_CLAZZ),
    IMPORT_STUDENT("导入的学生", StudentClazzEnum.BASIC_CLAZZ),
    ;
    private final String desc;
    private final StudentClazzEnum studentClazzType;

    ExamObjectType(String desc, StudentClazzEnum studentClazzType) {
        this.desc = desc;
        this.studentClazzType = studentClazzType;
    }

    public String getDesc() {
        return desc;
    }

    public StudentClazzEnum getStudentClazzType() {
        return studentClazzType;
    }
}
